#ifndef __TSTAT_LCD__
  #define __TSTAT_LCD__
  
  #include "FslTypes.h"
  #include "LL64_PE_Demo_Definitions.h"
  #include "Calendar.h"
  #include "Ascii.h"
 #include "LCD_GD5360P.h"
  
  
  #define _LCD_BLANK_SPACE_     0x3A
  
  
  #define _LCD_DEGREES_SYMBOL   0x3F
  
  /* Voltage leveles are in Volts * 10 */
  #define BATT_4_LEVEL_INDICATOR    280
  #define BATT_3_LEVEL_INDICATOR    270
  #define BATT_2_LEVEL_INDICATOR    260
  #define BATT_1_LEVEL_INDICATOR    240
  
  
  void vfnLCD_Init(void);
  void vfnDisplayDayOfWeek(UINT8 DayOfWeek);
  void vfnUpdateDayAndTime(RTC_Type* LocalRTC);
  void vfnDisplayBatteryLife(UINT16 BatteryLevel);
  void vfnDisplayTemperature(UINT16 Temperature);  
  void vfnBlinkDayOfWeek(UINT8 DayOfWeek);
  void vfnDisplayBlinkEnable(void);
  void vfnDisplayBlinkDisable(void);
#endif